# Enum Class MaybeBoolean

java.lang.Object
java.lang.Enum<MaybeBoolean>
jebl.util.MaybeBoolean

All Implemented Interfaces:
  `Serializable, Comparable<MaybeBoolean>, Constable`

public enum MaybeBoolean extends Enum<MaybeBoolean>
A tri-state boolean value that can also be "Maybe" besides True and False.

Version:
  $Id: MaybeBoolean.java 744 2007-07-30 02:57:11Z twobeers $

  Created on 30/07/2007 14:15:09
Author:
  Tobias Thierer

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`False`
`Maybe`
`True`

## Method Summary

Modifier and Type
Method
Description
`static Boolean`
`booleanValue(MaybeBoolean b)`
`static MaybeBoolean`
`consensus(boolean a, boolean b)`
`static MaybeBoolean`
`valueOf(boolean b)`
Returns the enum constant of this class with the specified name.
`static MaybeBoolean`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MaybeBoolean[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### True

public static final MaybeBoolean True

### False

public static final MaybeBoolean False

### Maybe

public static final MaybeBoolean Maybe

## Method Details

### values

public static MaybeBoolean[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MaybeBoolean valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

public static MaybeBoolean valueOf(boolean b)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `b` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### booleanValue

public static Boolean booleanValue(MaybeBoolean b)

### consensus

public static MaybeBoolean consensus(boolean a, boolean b)